powered by Jive Software

MoTD plugin throws an exception


#1

The 1.2.2 version cannot fixed the this issue for me.
When I uploaded to the version 4.3.2 of 4.2.3 I had to delede mysql-connector-java-8.0.12 and have to use the mysql 5 of the 4.2.3 version. I cant found another solution to that. Can you please help me?


Exception in MOTD plugin after enter users->motd properties in admin panel
#2

Can you copy the error text and post here?
It works fine for me with the embedded database. Not sure if this can really be related to using old MySQL connector.


#3

Remember in the 1.2.2 – February 12, 2019 Changelog
*Minimum Java requirement: 1.8 , How can I know what is my version?
Exception:
java.lang.NullPointerException

at org.jivesoftware.openfire.plugin.motd.motd_002dform_jsp._jspService(motd_002dform_jsp.java:151)

at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:790)

at org.jivesoftware.openfire.container.PluginServlet.handleJSP(PluginServlet.java:395)

at org.jivesoftware.openfire.container.PluginServlet.service(PluginServlet.java:109)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle(ServletHolder.java:865)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1655)

at org.jivesoftware.admin.PluginFilter.doFilter(PluginFilter.java:226)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1642)

at org.jivesoftware.admin.AuthCheckFilter.doFilter(AuthCheckFilter.java:216)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1642)

at com.opensymphony.sitemesh.webapp.SiteMeshFilter.obtainContent(SiteMeshFilter.java:129)

at com.opensymphony.sitemesh.webapp.SiteMeshFilter.doFilter(SiteMeshFilter.java:77)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1642)

at org.jivesoftware.util.LocaleFilter.doFilter(LocaleFilter.java:73)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1642)

at org.jivesoftware.util.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:49)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1642)

at org.jivesoftware.admin.PluginFilter.doFilter(PluginFilter.java:226)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1642)

at org.jivesoftware.admin.AuthCheckFilter.doFilter(AuthCheckFilter.java:216)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1634)

at org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:533)

at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:146)

at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:548)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:132)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle(ScopedHandler.java:257)

at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:1595)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle(ScopedHandler.java:255)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:1340)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope(ScopedHandler.java:203)

at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:473)

at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:1564)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope(ScopedHandler.java:201)

at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:1242)

at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:144)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle(ContextHandlerCollection.java:220)

at org.eclipse.jetty.server.handler.HandlerCollection.handle(HandlerCollection.java:126)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:132)

at org.eclipse.jetty.server.Server.handle(Server.java:503)

at org.eclipse.jetty.server.HttpChannel.handle(HttpChannel.java:364)

at org.eclipse.jetty.server.HttpConnection.onFillable(HttpConnection.java:260)

at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded(AbstractConnection.java:305)

at org.eclipse.jetty.io.FillInterest.fillable(FillInterest.java:103)

at org.eclipse.jetty.io.ChannelEndPoint$2.run(ChannelEndPoint.java:118)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.runTask(EatWhatYouKill.java:333)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.doProduce(EatWhatYouKill.java:310)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.tryProduce(EatWhatYouKill.java:168)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.run(EatWhatYouKill.java:126)

at org.eclipse.jetty.util.thread.ReservedThreadExecutor$ReservedThread.run(ReservedThreadExecutor.java:366)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:765)

at org.eclipse.jetty.util.thread.QueuedThreadPool$2.run(QueuedThreadPool.java:683)

at java.lang.Thread.run(Unknown Source)

Thanks


#4

Java version in use is shown on the first page of Admin Console. 1.8.0_191 Oracle Corporation and so on.


#5

Java Version:
1.8.0_202 Oracle Corporation – Java HotSpot™ 64-Bit Server VMe
Please, help me with this, maybe is the mysql-connector-java-5 because I cant use the mysql-connector-java-8.0.12


#6

I can’t tell if connector is the cause. My test server doesn’t have MySQL, only the embedded db and it works fine. All i can do is file a ticket and maybe someone will look into it https://github.com/igniterealtime/openfire-motd-plugin/issues/6


#7

Ok
I cant understand why I cant use the new mysql-connector-java-8.0.12
Thanks for everything


#8

8.0.12 only supports MySQL 5.5 and higher.